Project

General

Profile

Feature #6965

Feature #6996: OpenMP 4.5 & OpenACC 2.5 compiler support

Provide GCC 5 as additional compiler

Added by r a almost 3 years ago. Updated over 2 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
OI-Userland
Target version:
Start date:
2016-05-11
Due date:
% Done:

100%

Estimated time:
Difficulty:
Medium
Tags:

Description

While attempting to build Filezilla 3.17.0.1 to replace gFTP 2.0.19 (stable release 11/30/2008) gcc was not able to support the neccessary c++14 standard.
Attempting to build gcc 5.3.0 failed due to the standard GMP, MPFR and MPC libraries being to old a version.


Related issues

Related to illumos gate - Bug #7323: ld(1) -zignore can erroneously discard init and fini arrays as unreferencedClosed2016-08-24

Actions
Related to illumos gate - Bug #7324: stack needs to be sufficiently aligned for SSE before init_array are calledClosed2016-08-24

Actions

History

#1

Updated by Aurélien Larcher almost 3 years ago

Hello,
this is already being tested: https://github.com/OpenIndiana/oi-userland/pull/1965
GCC 6.1 will follow.

#2

Updated by Nikola M. almost 3 years ago

I don't think we should remove gftp, other distros haven't remove it , any particular reason for so?
It's nice to have more actively maintained ftp client, but if gftp works, let it be?
Removing packages just because they are older (but working) is not a reson for removal.

#3

Updated by r a almost 3 years ago

Hi,

I have been using gFTP but I find that features I that I have grown used to in Filezilla are not present in gFTP.

1. Dragging a remote directory to my local machine does not work or a local directory to a remote directory.
2. Being able to copy a remote directory locally and being able to change the local/remote directory and start a second copy does not work
3. There is no Site Manager with the option to store usernames (passwords should be remembered!)
4. I find it crashes a lot which requires the re-entry of credentials

#4

Updated by Aurélien Larcher almost 3 years ago

Is there an equivalent in MATE ?

#5

Updated by r a almost 3 years ago

Hi,

I have been using LinuxMint since v14 and I have to install Filezilla and there is no ftp utilty installed with Mate.

#6

Updated by Aurélien Larcher almost 3 years ago

  • Category set to OI-Userland
  • Assignee set to OI Userland
  • Priority changed from Low to Normal
  • Target version set to 2017.04
#7

Updated by Aurélien Larcher almost 3 years ago

  • Subject changed from Can GCC 5.3.0 be made available for Hipster to Provide GCC 5.3.0 as additional compiler
#8

Updated by Nikola M. almost 3 years ago

r a wrote:

4. I find it crashes a lot which requires the re-entry of credentials

Hi, please report it in separate bug fo gftp if there are any info to debug,
other reasons are functional/RFE for gftp.
Maybe it need recompilation, it can be debugged instead of just removing.

#9

Updated by r a almost 3 years ago

Hi,

As gFTP provides limited functionality compared to Filezilla. Fixing the bugs is not going to add new functionality for gFTP to be compared to Filezilla with out substantial investment of time. Enabling the compilation of Filezilla will bring a better utility while also facilitating the other applications to be built. So I see little point in raising a bug for gFTP.

#10

Updated by Aurélien Larcher almost 3 years ago

Since libfilezilla compiles out of the box with GCC 4.9.3, maybe you could add it to oi-userland as a starter.
Recent wxWidget for the Filezilla GUI seems to require patching but unrelated to c++14 support.
Thanks.

#11

Updated by Aurélien Larcher almost 3 years ago

  • % Done changed from 0 to 50

Component is in the queue for testing and PR: https://github.com/OpenIndiana/oi-userland/pull/1965

#12

Updated by Aurélien Larcher almost 3 years ago

  • Subject changed from Provide GCC 5.3.0 as additional compiler to Provide GCC 5 as additional compiler
#13

Updated by Aurélien Larcher almost 3 years ago

  • Parent task set to #6996
#14

Updated by Aurélien Larcher over 2 years ago

  • Related to Bug #7323: ld(1) -zignore can erroneously discard init and fini arrays as unreferenced added
#15

Updated by Aurélien Larcher over 2 years ago

  • Related to Bug #7324: stack needs to be sufficiently aligned for SSE before init_array are called added
#16

Updated by Aurélien Larcher over 2 years ago

  • % Done changed from 50 to 90
  • Tags deleted (needs-triage)
#17

Updated by Aurélien Larcher over 2 years ago

  • Status changed from New to Resolved
  • % Done changed from 90 to 100

Also available in: Atom PDF